%define		svn svn45

Summary:	FFmpeg video converter GUI
Name:		tkffmpeg
Version:	0.0.68
Release:	alt0.0.%svn.M50.1
License:	GPLv2
Group:		Video
Url:		http://tkffmpeg.sourceforge.net/
Source0:	%name-%svn.tar.bz2
Packager:	Motsyo Gennadi <drool@altlinux.ru>

Requires:	tk ffmpeg dvdauthor dvd+rw-tools

BuildArch:	noarch

# Automatically added by buildreq on Sat Jun 13 2009 (-bi)
BuildRequires: ImageMagick

%description
This is a small FFmpeg GUI for video converting, based on Tk/Tcl

%prep
%setup -q -n %name-svn

%install
%__install -Dp -m 0755 %name.tcl %buildroot%_bindir/%name.tcl
%__install -Dp -m 0644 %name.desktop %buildroot%_desktopdir/%name.desktop

# langs
%__mkdir -p %buildroot%_datadir/%name
%__install default.ini %buildroot%_datadir/%name/default.ini
cp -r language %buildroot%_datadir/%name/

# Icons
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 48x48 %name.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 %name.png %buildroot%_niconsdir/%name.png
convert -resize 16x16 %name.png %buildroot%_miconsdir/%name.png

%files
%dir %_datadir/%name
%dir %_datadir/%name/language
%doc README AUTHORS
%_bindir/*
%_datadir/%name/language/*.lng
%_datadir/%name/*.*
%_desktopdir/%name.desktop
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Wed Aug 05 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.68-alt0.0.svn45.M50.1
- build for M50

* Wed Aug 05 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.68-alt0.1.svn45
- svn44:
  + updated Change.log
  + updated spec-file for ALT Linux

* Mon Jul 13 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.68-alt0.1.svn43
- svn43:
  + fixed progress error

* Mon Jul 13 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.68-alt0.1.svn42
- svn42:
  + 0.0.68
  + Increased speed of execution of the program

* Thu Jul 09 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.67-alt0.1.svn41
- new svn41

* Mon Jun 29 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.67-alt0.1.svn38
- svn38:
  + 0.0.67
  + Add "Abort" button
  + Add progress bar
  + Optimize programm code
  + updated Russian adn Ukrainian translations

* Sat Jun 27 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.65-alt0.1.svn33
- svn33:
  + update readme
  + 0.0.65
  + added VideoDVD creation
  + updated English, Russian and Ukrainian translation

* Mon Jun 22 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.62-alt0.1.svn26
- svn26:
  + Change pid value
  + Change theme color

* Fri Jun 19 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.62-alt0.1.svn25
- svn25:
  + 0.0.62
  + Change kill error

* Fri Jun 19 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.61-alt0.1.svn24
- svn24:
  + added Ukrainian translation

* Thu Jun 18 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.61-alt0.1.svn23
- svn23:
  + 0.0.61
  + Change language pack
  + Change combobox error
  + Change Tk theme
  + Change Frame style
  + Add clear log window

* Wed Jun 17 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.6-alt0.1.svn21
- svn21:
  + 0.0.6
  + Change error if dirname with space
  + Add default.ini
  + Add advanced options window
  + Add multi-language
  + Add Russian language
  + Add verifying real media player programm
  + Optimize program code
  + add scritp for remove svn tags

* Sun Jun 14 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.5-alt0.1.svn10
- svn10:
  + fixed spec-file
  + fixed Release tag in spec-file for svn version
  + fixed changelog in spec-file
  + Change kill error
  + Change OutputFile Open error
  + Change small "k"
  + Change -y key

* Sat Jun 13 2009 Motsyo Gennadi <drool@altlinux.ru> 0.0.5-alt0.1.svn3
- initial build for ALT Linux svn3:
  + 0.0.5
  + changed version from 0.05 to 0.0.5
  + added README text
  + added AUTHORS text
  + added text of the LICENSE
  + added desktop-file
  + added spec-file (for ALT Linux)
